summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoroech3 <79379754+oech3@users.noreply.github.com>2026-02-25 19:57:26 +0900
committerPádraig Brady <P@draigBrady.com>2026-02-25 15:00:46 +0000
commitd0a2b73c3cd6ac3b9259676ab4c009ddea4bcfdc (patch)
tree65ed72f5d898ccfcfb682c0257ff191fae9e9748
parentf06beebd340311ce8771d9b1f7f2b4416c5c01d8 (diff)
downloadcoreutils-d0a2b73c3cd6ac3b9259676ab4c009ddea4bcfdc.tar.gz
coreutils-d0a2b73c3cd6ac3b9259676ab4c009ddea4bcfdc.zip
tests: nice: ensure a particular adjustment is disallowed
* tests/nice/nice-fail.sh: Ensure "1+2-3" is disallowed. https://github.com/coreutils/coreutils/pull/197
-rwxr-xr-xtests/nice/nice-fail.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/tests/nice/nice-fail.sh b/tests/nice/nice-fail.sh
index 6f7904bb6..99f982431 100755
--- a/tests/nice/nice-fail.sh
+++ b/tests/nice/nice-fail.sh
@@ -25,6 +25,7 @@ print_ver_ nice env
returns_ 125 nice -n 1 || fail=1 # missing command
returns_ 125 nice --- || fail=1 # unknown option
returns_ 125 nice -n 1a || fail=1 # invalid adjustment
+returns_ 125 nice -n 1+2-3 nice || fail=1 # invalid adjustment
returns_ 2 nice sh -c 'exit 2' || fail=1 # exit status propagation
returns_ 126 env . && { returns_ 126 nice . || fail=1; } # invalid command
returns_ 127 nice no_such || fail=1 # no such command